Upsert Playbook

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Thankly MCP server": {
    "url": "https://docs.thankly.ai/mcp"
  }
}

Close
PUT /playbooks/{playbook_id}

Create or fully replace a playbook.

If no playbook with this playbook_id exists for the caller's org, it is created. If it already exists, the current version is archived and all fields are replaced with the supplied values (optional fields not supplied default to null).

Path parameters

  • playbook_id string Required
application/json

Body Required

  • name string Required
  • description string | null
  • goal string Required
  • pre_filter object | null

    Additional properties are allowed.

  • audience_description string | null
  • available_channels array[string] Required

    At least 1 element.

  • excluded_capabilities array[string]

    Capabilities barred from this playbook's engagement blocks.

  • content_ttl_seconds integer | null
  • tone_hint string | null
  • must_mention array[string] | null
  • must_not_mention array[string] | null
  • quiet_hours object | null

    Additional properties are allowed.

  • frequency_cap object | null

    Additional properties are allowed.

Responses

  • 200 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • id string Required
    • org_id string Required
    • playbook_id string Required
    • name string Required
    • description string | null
    • goal string Required
    • pre_filter object | null

      Additional properties are allowed.

    • audience_description string | null
    • available_channels array[string] Required
    • excluded_capabilities array[string] Required
    • content_ttl_seconds integer | null
    • tone_hint string | null
    • must_mention array[string] | null
    • must_not_mention array[string] | null
    • quiet_hours object | null

      Additional properties are allowed.

    • frequency_cap object | null

      Additional properties are allowed.

    • version integer Required
    • active boolean Required
    • created_at string(date-time) Required
    • updated_at string(date-time) Required
    • created_by string | null
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
PUT /playbooks/{playbook_id}
curl \
 --request PUT 'http://api.example.com/playbooks/{playbook_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"string","description":"string","goal":"string","pre_filter":{},"audience_description":"string","available_channels":["string"],"excluded_capabilities":["string"],"content_ttl_seconds":42,"tone_hint":"string","must_mention":["string"],"must_not_mention":["string"],"quiet_hours":{},"frequency_cap":{}}'
Request examples
{
  "name": "string",
  "description": "string",
  "goal": "string",
  "pre_filter": {},
  "audience_description": "string",
  "available_channels": [
    "string"
  ],
  "excluded_capabilities": [
    "string"
  ],
  "content_ttl_seconds": 42,
  "tone_hint": "string",
  "must_mention": [
    "string"
  ],
  "must_not_mention": [
    "string"
  ],
  "quiet_hours": {},
  "frequency_cap": {}
}
Response examples (200)
{
  "id": "string",
  "org_id": "string",
  "playbook_id": "string",
  "name": "string",
  "description": "string",
  "goal": "string",
  "pre_filter": {},
  "audience_description": "string",
  "available_channels": [
    "string"
  ],
  "excluded_capabilities": [
    "string"
  ],
  "content_ttl_seconds": 42,
  "tone_hint": "string",
  "must_mention": [
    "string"
  ],
  "must_not_mention": [
    "string"
  ],
  "quiet_hours": {},
  "frequency_cap": {},
  "version": 42,
  "active": true,
  "created_at": "2026-05-04T09:42:00Z",
  "updated_at": "2026-05-04T09:42:00Z",
  "created_by": "string"
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}